Pular para o conteúdo

/api/v1/external-users (GET)

GET
/api/v1/external-users
curl --request GET \
--url 'https://api.endless.zaia.app/api/v1/external-users?pageNumber=1&pageSize=10'

Retrieves multiple external users.

channelIds
Any of:
Array<string>
externalUserGroupIds
Any of:
Array<string>
pageNumber

The page number.

number
default: 1 >= 1

The page number.

pageSize

The page size.

number
default: 10 >= 1 <= 100

The page size.

search
string
superIdentityIds
Any of:
Array<string>
tierIds
Any of:
Array<string>

Retrieves all external users for the workspace.

Media typeapplication/json
Array<object>
object
createdAt
required
string format: date-time
id
required

A UUID v4 string that identifies an entity.

string format: uuid
updatedAt
required
string format: date-time
blocked
required

Whether the external user is blocked.

boolean
channelId
required

The ID of the channel associated with the external user.

string format: uuid
externalId
required

External reference in the integrated system.

string
nullable >= 3 characters <= 250 characters
externalUserGroupId
required

The ID of the external user group associated with the external user.

string format: uuid
nullable
identifier
required

A unique identifier of the external user (usernames, emails, phone numbers and etc).

string
nullable
name
required

The display name of the external user.

string
nullable >= 3 characters <= 50 characters
superIdentityId
required

The ID of the super identity associated with the external user.

string format: uuid
tierId
required

The ID of the tier associated with the external user.

string format: uuid
nullable
workspaceId
required

The ID of the workspace associated with the external user.

string format: uuid
Examplegenerated
[
{
"createdAt": "2026-04-15T12:00:00Z",
"id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"updatedAt": "2026-04-15T12:00:00Z",
"blocked": true,
"channelId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"externalId": "example",
"externalUserGroupId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"identifier": "example",
"name": "example",
"superIdentityId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"tierId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"workspaceId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
}
]

Bad Request.

Media typeapplication/json

The description of a known exception.

object
code

The error code.

string
cta

The error call-to-action.

object
type
required
string
Allowed values: support-contact
url
required
string format: uri
feedback
required

The error feedback.

object
enUs
string
esEs
string
ptBr
string
message
required

The error message.

string
name
required

The error name.

string
Example
{
"cta": {
"type": "support-contact"
}
}

Unauthorized.

Media typeapplication/json

The description of a known exception.

object
code

The error code.

string
cta

The error call-to-action.

object
type
required
string
Allowed values: support-contact
url
required
string format: uri
feedback
required

The error feedback.

object
enUs
string
esEs
string
ptBr
string
message
required

The error message.

string
name
required

The error name.

string
Example
{
"cta": {
"type": "support-contact"
}
}